<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Transformer;

class SlugifyUppercase extends Slugify
{
    public function getType(): string
    {
        return 'slugify-uppercase';
    }

    public function execute($data)
    {
        $slug = parent::execute($data);

        return strtoupper($slug);
    }
}
